Description

Feature

Make "Associated revisions" temporarily minimized by clicking a button or a small icon. There should be some other button or icon
which will be used to open "Associated revisions" again. This button/icon may be placed somewhere in the right or at other
appropriate place.

Rationale

Some people tend to post tables or long lines or event figures with graphics characters in "pre" areas in comments.

The long lines are wrapped to next lines and these figures get messy and unreadable. The problem gets bigger when there are
associated revisions to the right of the comments that eat space.

Options

An user accessible option to set "Associated revisions" minimized or opened by default when viewing an issue. This option may be

associated to user and to an issue. Why - some user may want the "Associated revisions" closed while other may don't want. An user
may want this for one issue and don't want for other issues.

Related issues:
Related to Redmine - Feature #3058: Show issue history using tabs Closed 2009-03-26

History

#1 - 2018-01-10 13:42 - Go MAEDA
- Related to Feature #3058: Show issue history using tabs added

#2 - 2019-06-21 14:57 - Marius BALTEANU
- Status changed from New to Closed

- Resolution set to Fixed

"Associated revisions" are now under a tab and loaded only on click. The feature was implemented in #3058 for the upcoming Redmine 4.1.0.

#3 - 2019-06-21 14:58 - Marius BALTEANU
- File tabs.png added
Files

tabs.png 76.4 KB 2019-06-21 Marius BALTEANU

2025-07-04 1/1



https://www.redmine.org/issues/3058
https://www.redmine.org/versions/127
http://www.tcpdf.org

